/*:
 * @plugindesc 
 * @author ぬぷ竜
 */
DataManager._databaseFiles.push({
    name: '$RDData',
    src: 'RdData.json'
});
DataManager._databaseFiles.push({
    name: '$Nupu_PSData',
    src: 'Nupu_PSData.json'
});
DataManager._databaseFiles.push({
    name: '$Nupu_GameSetting',
    src: 'Nupu_GameSetting.json'
});
let CienVerStr = "Ci-en ";  
const DbgFlg = false;     
const Cien版Flg = false;   
let DbgLive2D = ["romasha_battale"];
let MdlRomashaBattle = "romasha_battale";
const MouseMukoFlame = 5000; 
const SW_StartFlg = 9;       
const VN_DbgVer = 9;         
const VN_BefSaveNo = 49;     
const VN_SaveStr = 50;       
const VN_SavePsStr = 57;     
const VN_SSkpSaveNo = 1062;  
const VN_MemorySave = 1063;    
const VN_AutoSaveNo = 1066; 
const VN_戦闘Debug = 1064;    
const VN_TitleType = 1068;  
const VN_DggEffScNo = 1083; 
const VN_DggEmScNo = 1084;  
const VN_DggDgnScNo = 1086;  
const SW_DbgGameCng = 981;
const SW_Live2DLight = 1095;
const SW_エンディング見た = 1375; 
const SW_シナリオスキップ解放 = 1387; 
const SW_アグロ敗北 = 1388; 
const SW_ラスボス撃破履歴 = 1481; 
N_Sprite_TNo = 130; 
const VoiceMuteSwNo = 11;   
const MasterVolVarNo = 44;  
const VoiceVolVarNo = 45;   
const F_MasterVol = 30; 
const F_BGMVol = 30;    
const F_SEVol = 30;     
const F_VoiceVol = 50;  
let BtlKeepSWs = [74 , 54 , 1385];
for (let i = 807; i <= 830; i++) BtlKeepSWs.push(i);
let BtlKeepVNs = [54];
for (let i = 61; i <= 99; i++) BtlKeepVNs.push(i);
for (let i = 441; i <= 498; i++) BtlKeepVNs.push(i);
for (let i = 601; i <= 640; i++) BtlKeepVNs.push(i);
utakata.CommonSaveManager._targetSwitchList = [
    SW_StartFlg, VoiceMuteSwNo, DownFpsSwt, SW_Live2DLight, SW_DbgGameCng , SW_シナリオスキップ解放 ,
    SW_アグロ敗北 , SW_エンディング見た , SW_ラスボス撃破履歴
];
utakata.CommonSaveManager._targetVariableList = [
    MasterVolVarNo, VoiceVolVarNo, VN_BefSaveNo,
    VN_SaveStr, VN_DbgVer, VN_SavePsStr, VN_SSkpSaveNo,
    VN_MemorySave, VN_DggEffScNo, VN_DggEmScNo, VN_DggDgnScNo, VN_TitleType,
    VN_戦闘Debug, VN_AutoSaveNo
];
/* GraphicsRenderFix.js
 * @plugindesc 
 * @author kido
 *
 * @help 
 */
(function () {
    var _render = Graphics.render;
    Graphics.render = function (stage) {
        if (this._skipCount < 0) {
            this._skipCount = 0;
        }
        _render.call(this, stage);
    };
})();
// SceneManager.snapForBackground = function() {
